Appearance
Configuration
Saved funnels, goals, segments and annotations.
Generated
This page is generated from api/openapi/v1.yaml (OpenAPI 3.1.0, API version 1.0.0).
List saved funnels
GET
/v1/properties/{pid}/funnelsScope: config:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
limit | query | integer | ||
cursor | query | string | The next_cursor of the previous page. |
Responses
| Status | Description |
|---|---|
200 | A page of saved objects. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
data | array of object | yes | |
next_cursor | string | null | yes |
Save a funnel
POST
/v1/properties/{pid}/funnelsScope: config:write. definition takes the same fields as an ad-hoc funnel, without date_range.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
definition | object | yes | Goal {type: event|page|element|revenue, ...}, segment {actor?, filters?}, annotation {date, note}, funnel {steps, breakdown?, ...}. |
json
{
"name": "Checkout funnel",
"definition": {
"breakdown": "actor_family",
"steps": [
{
"type": "page",
"path": "/p/*"
},
{
"type": "element",
"el_name": "add-to-cart"
},
{
"type": "event",
"name": "purchase"
}
]
}
}Responses
| Status | Description |
|---|---|
201 | Created. |
400 | Invalid body or query (invalid_request), with errors[] for validation failures. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Get a saved funnel
GET
/v1/properties/{pid}/funnels/{id}Scope: config:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Responses
| Status | Description |
|---|---|
200 | The saved object. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Update a saved funnel
PATCH
/v1/properties/{pid}/funnels/{id}Scope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | ||
definition | object |
Responses
| Status | Description |
|---|---|
200 | The saved object. |
400 | Invalid body or query (invalid_request), with errors[] for validation failures. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Delete a saved funnel
DELETE
/v1/properties/{pid}/funnels/{id}Scope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Responses
| Status | Description |
|---|---|
204 | Deleted. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
List goals
GET
/v1/properties/{pid}/goalsScope: config:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
limit | query | integer | ||
cursor | query | string | The next_cursor of the previous page. |
Responses
| Status | Description |
|---|---|
200 | A page of saved objects. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
data | array of object | yes | |
next_cursor | string | null | yes |
Create a goal
POST
/v1/properties/{pid}/goalsScope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
definition | object | yes | Goal {type: event|page|element|revenue, ...}, segment {actor?, filters?}, annotation {date, note}, funnel {steps, breakdown?, ...}. |
json
{
"name": "Newsletter signup",
"definition": {
"type": "element",
"el_name": "newsletter-subscribe"
}
}Responses
| Status | Description |
|---|---|
201 | Created. |
400 | Invalid body or query (invalid_request), with errors[] for validation failures. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Get a goal
GET
/v1/properties/{pid}/goals/{id}Scope: config:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Responses
| Status | Description |
|---|---|
200 | The saved object. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Update a goal
PATCH
/v1/properties/{pid}/goals/{id}Scope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | ||
definition | object |
Responses
| Status | Description |
|---|---|
200 | The saved object. |
400 | Invalid body or query (invalid_request), with errors[] for validation failures. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Delete a goal
DELETE
/v1/properties/{pid}/goals/{id}Scope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Responses
| Status | Description |
|---|---|
204 | Deleted. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
List segments
GET
/v1/properties/{pid}/segmentsScope: config:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
limit | query | integer | ||
cursor | query | string | The next_cursor of the previous page. |
Responses
| Status | Description |
|---|---|
200 | A page of saved objects. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
data | array of object | yes | |
next_cursor | string | null | yes |
Create a segment
POST
/v1/properties/{pid}/segmentsScope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
definition | object | yes | Goal {type: event|page|element|revenue, ...}, segment {actor?, filters?}, annotation {date, note}, funnel {steps, breakdown?, ...}. |
json
{
"name": "Mixed sessions from AI assistants",
"definition": {
"actor": {
"preset": "mixed_sessions"
},
"filters": {
"field": "channel_group",
"op": "eq",
"value": "AI Assistants"
}
}
}Responses
| Status | Description |
|---|---|
201 | Created. |
400 | Invalid body or query (invalid_request), with errors[] for validation failures. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Get a segment
GET
/v1/properties/{pid}/segments/{id}Scope: config:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Responses
| Status | Description |
|---|---|
200 | The saved object. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Update a segment
PATCH
/v1/properties/{pid}/segments/{id}Scope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | ||
definition | object |
Responses
| Status | Description |
|---|---|
200 | The saved object. |
400 | Invalid body or query (invalid_request), with errors[] for validation failures. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Delete a segment
DELETE
/v1/properties/{pid}/segments/{id}Scope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Responses
| Status | Description |
|---|---|
204 | Deleted. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
List annotations
GET
/v1/properties/{pid}/annotationsScope: config:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
limit | query | integer | ||
cursor | query | string | The next_cursor of the previous page. |
Responses
| Status | Description |
|---|---|
200 | A page of saved objects. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
data | array of object | yes | |
next_cursor | string | null | yes |
Create a annotation
POST
/v1/properties/{pid}/annotationsScope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
definition | object | yes | Goal {type: event|page|element|revenue, ...}, segment {actor?, filters?}, annotation {date, note}, funnel {steps, breakdown?, ...}. |
json
{
"name": "Autumn sale",
"definition": {
"date": "2026-10-06",
"note": "Autumn sale starts (email + paid)"
}
}Responses
| Status | Description |
|---|---|
201 | Created. |
400 | Invalid body or query (invalid_request), with errors[] for validation failures. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Get a annotation
GET
/v1/properties/{pid}/annotations/{id}Scope: config:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Responses
| Status | Description |
|---|---|
200 | The saved object. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Update a annotation
PATCH
/v1/properties/{pid}/annotations/{id}Scope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | ||
definition | object |
Responses
| Status | Description |
|---|---|
200 | The saved object. |
400 | Invalid body or query (invalid_request), with errors[] for validation failures. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string | ||
property_id | string | ||
name | string | ||
definition | object | ||
created_by | string | null | ||
created_at | string | ||
updated_at | string |
Delete a annotation
DELETE
/v1/properties/{pid}/annotations/{id}Scope: config:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string | yes | Property id. |
id | path | string | yes |
Responses
| Status | Description |
|---|---|
204 | Deleted. |
401 | Missing, invalid, expired or revoked API key (unauthorized). |
403 | The key lacks the required scope (forbidden_scope). |
404 | Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found). |